package cn.com.qmth.stmms.common.enums;

public enum SubjectiveStatus {

    UNMARK("未评完"), MARKED("已评完"), INSPECTED("已复核");

    private String name;

    private SubjectiveStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static SubjectiveStatus findByText(String text) {
        for (SubjectiveStatus status : SubjectiveStatus.values()) {
            if (status.name.equalsIgnoreCase(text)) {
                return status;
            }
        }
        return null;
    }
}
